BSON_JSON_READER_READ(3)

NAME
bson_json_reader_read - bson_json_reader_read()

SYNOPSIS

int
bson_json_reader_read (bson_json_reader_t *reader,
                       bson_t *bson,
                       bson_error_t *error);

PARAMETERS

•   reader: A bson_json_reader_t.

•   bson: A bson_t.

•   error: A bson_error_t.

DESCRIPTION

Reads the next BSON document from the underlying JSON source.

ERRORS

Errors are propagated via the error parameter.

RETURNS

1 if successful and data was read. 0 if successful and no data was read. -1 if there was an error.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc